#!/bin/bash
# The files file.gramps.zcat, handle.old, handle.new and file.gramps
# in the cwd are written to.

zcat $1 > file.gramps.zcat

cat file.gramps.zcat | \
  perl -nle 'print $1 if m/handle\="_([[:alnum:]]*)"/' | \
  sort -u >handle.old

while read handle
do
  vetor_a[i++]="$handle"
done <handle.old

python - ${#vetor_a[@]} <<"EOF" >handle.new
import time
import random
import sys
from sys import maxint

list = []
rand = random.Random(time.time())

for i in range(int(sys.argv[1])):
    print "%08x%08x" % ( int(time.time()*10000),
                         rand.randint(0, maxint))
EOF

i=0
while read handle
do
  vetor_b[i++]="$handle"
done <handle.new

for ((i = 0; i < ${#vetor_a[@]}; i++)); do
  sed -i "s/\\=\"_${vetor_a[i]}\"/=\"_${vetor_b[i]}\"/g" file.gramps.zcat
done

gzip -c -9 file.gramps.zcat >file.gramps
